## ros-noetic-respeaker-ros 2.1.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(respeaker_ros)

find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure)

generate_dynamic_reconfigure_options(
  cfg/Respeaker.cfg
)

catkin_package()

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)
file(GLOB PYTHON_SCRIPTS scripts/*.py)
catkin_install_python(PROGRAMS ${PYTHON_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts/)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/sample_respeaker.test)
endif()

=== debian/changelog ===
ros-noetic-respeaker-ros (2.1.21-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.20-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.19-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.18-2buster) buster; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * respeaker_ros: use catkin_install_python to install scripts
      * fix 2to3, with print, raise, exception
      * use package.xml format 3 for package contains python depends
    
  * [respeaker_ros] use rospy.logerr instead of print (#206 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/206>)
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * [respeaker_ros] update run_depend and test file to pass travis test properly
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.17-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.16-2buster) buster; urgency=high

  * [respeaker_ros] increase timeout to pass the test https://api.travis-ci.org/v3/job/554008643/log.txt
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.15-2buster) buster; urgency=high

  * [respeaker_ros] add pixel-ring in run_depend of respeaker_ros (#184 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/184>)
  * [respeaker_ros] install config dir in respeaker_ros (#185 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/185>)
  * Contributors: Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.14-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.13-2buster) buster; urgency=high

  * [respeaker_ros] increase timeout to pass the test (#170 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/170>)
    
      * default tts_action_names should be soundplay
      * [respeaker_ros] increase timeout to pass the test https://api.travis-ci.org/v3/job/554008643/log.txt
      * [respeaker_ros] add python-speechrocognition-pip to package.depends, because scripts/speech_to_text.py depends on it
    
  * [respeaker_ros] Add test file for speech_to_text (#164 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/164>)
    
      * add test file for speech_to_text
    
  * [respeaker_ros] add tts_action_names param: do not listen when the robot is speaking either japanese or english (#168 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/168>)
    
      * add tts_actions param: do not listen when the robot is speaking either japanese or english
    
  * Contributors: Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.12-2buster) buster; urgency=high

  * Make sample_respeaker.launch re-usable (#161 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/161>)
    
      * [respeaker_ros] add docs for each args in sample_respeaker.launch
      * make sample_respeaker.launch re-usable
    
  * respeaker_ros: cleanup error messages (#155 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/155>)
  * Contributors: Yuki Furuta, Kei Okada, Naoya Yamaguchi

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.11-2buster) buster; urgency=high

  * Add respeaker_ros package (#152 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/152>)
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.10-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.9-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.8-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.7-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.6-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.5-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.4-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.3-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.2-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.1-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.0-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.0.20-2buster) buster; urgency=high





=== debian/control ===
Source: ros-noetic-respeaker-ros
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-jsk-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-respeaker-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, ros-noetic-angles, ros-noetic-audio-common-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-std-msgs, ros-noetic-tf
Description: The respeaker_ros package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-respeaker-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-respeaker-ros 2.1.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(respeaker_ros)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  dynamic_reconfigure
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/Respeaker.cfg
)

catkin_package()

if($ENV{ROS_DISTRO} STRGREATER "melodic")
  catkin_generate_virtualenv(
    PYTHON_INTERPRETER python3
    CHECK_VENV FALSE
    )
else()
  catkin_generate_virtualenv(
    PYTHON_INTERPRETER python2
    CHECK_VENV FALSE
    )
endif()

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)
install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

file(GLOB PYTHON_SCRIPT_FILES scripts/*.py test/*.py)
catkin_install_python(PROGRAMS ${PYTHON_SCRIPT_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/sample_respeaker.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
  add_rostest(test/test_rospy_node.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
endif()

=== debian/changelog ===
ros-noetic-respeaker-ros (2.1.28-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.26-1focal) focal; urgency=high

  * [respeaker_ros] importing does not succeed (#477 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/477>)
  * respeaker_ros: Fix test. we use rosrun .... to run scripts (#478 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/478>)
  * Contributors: Kei Okada, Soonhyo Kim

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.25-1focal) focal; urgency=high

  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * [respeaker_ros] add FileNotFoundError in respeaker for python3 (#428 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/428>)
  * [respeaker_ros] Stop timer on shutdown (#385 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/385>)
  * [ros_speech_recogniton, respeaker_ros] add confidence field (#411 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/411>)
  * [#405 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/405> and #410 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/410>] Fix CI (#415 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/415>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * pgm_learner/respeaker_ros/ros_speech_recognition/rosping: increase time-limit/wait-time
    
  * [respeaker_ros] Add documentation for displaying Japanese /speech_to_text (#352 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/352>)
  * [respeaker_ros] Display helpful setting command when udev rule is not set (#351 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/351>)
  * Using RespeakerInterface instead of init_respeaker (#305 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/305>)
  * respeaker_ros for Python 2.x and 3.x (#284 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/284>)
  * Contributors: Aoi Nakane, Dirk Gorissen, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.24-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.23-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.22-1focal) focal; urgency=high

  * [respeaker_ros] Specify correct Python version in package.xml (#247 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/247>)
    
      * Fixes typo introduced in https://github.com/jsk-ros-pkg/jsk_3rdparty/commit/39be21894a38112a1633cf8385caf079c35536ff
    
  * Add respawn_delay to respeaker_node.py to reduce CPU load (#241 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/241>)Kill respeaker_node.py when USBError occur to reduce CPU load
  * [respeaker_ros] fix default sound_play action name of speech_to_text.py (#239 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/239>)
  * Mistakes I found when I tried to use respeaker_ros on hirovision (#217 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/217>)
    
      * add speech_recognition_msgs
      * change the name from respeaker.launch to sample_respeaker.launch
    
  * Contributors: Koki Shinjo, Miyabi Tanemoto, Naoya Yamaguchi, Shun Hasegawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.21-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.20-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.19-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.18-1focal) focal; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * respeaker_ros: use catkin_install_python to install scripts
      * fix 2to3, with print, raise, exception
      * use package.xml format 3 for package contains python depends
    
  * [respeaker_ros] use rospy.logerr instead of print (#206 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/206>)
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * [respeaker_ros] update run_depend and test file to pass travis test properly
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.17-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.16-1focal) focal; urgency=high

  * [respeaker_ros] increase timeout to pass the test https://api.travis-ci.org/v3/job/554008643/log.txt
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.15-1focal) focal; urgency=high

  * [respeaker_ros] add pixel-ring in run_depend of respeaker_ros (#184 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/184>)
  * [respeaker_ros] install config dir in respeaker_ros (#185 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/185>)
  * Contributors: Shingo Kitagawa



=== debian/control ===
Source: ros-noetic-respeaker-ros
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-dynamic-reconfigure, ros-noetic-jsk-tools <!nocheck>, ros-noetic-rostest <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-respeaker-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, python3-numpy, python3-pyaudio, ros-noetic-angles, ros-noetic-audio-common-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-speech-recognition-msgs, ros-noetic-std-msgs, ros-noetic-tf
Description: The respeaker_ros package

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -50,8 +56,13 @@
 	# In case we're installing to a non-standard location, look for a setup.sh
 	# in the install tree that was dropped by catkin, and source it.  It will
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
-	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-respeaker-ros//opt/ros/noetic/lib/
+	#
+	# buildfirm error due to : pkg-shlibdeps: error: cannot find library libm.so.6 needed
+	# https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/479
+	# https://github.com/ros/rosdistro/pull/37745
+	#
+	# if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
+	# dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-respeaker-ros//opt/ros/noetic/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
